<div class="cv-card">
	<a [routerLink]="routes.builder(resume.link).builder">
		<img
			class="cv-card-image"
			[class.mr-4]="!isRTL()"
			[class.ml-4]="isRTL()"
			[src]="resume.previewImage"
			[alt]="'resume preview'"
		/>
	</a>
	<div class="flex flex-col justify-start items-start w-full mdCustom:w-40-percent">
		<blackbird-editable-h1
			[title]="
				resume && resume.title && !resume.title.includes('builder.untitled')
					? resume.title
					: (t.common.misc.untitled | translate)
			"
			(titleChange)="handleResumeTitleChange($event)"
		></blackbird-editable-h1>
		<p class="text-bgTwo text-sm font-medium">
			{{
				t.common.misc.updatedAt
					| translate
						: {
								dateTime:
									(resume.lastUpdateDate
									| date: (isSameYear() ? 'dd MMMM, HH:mm' : 'dd MMMM yyyy, HH:mm'):undefined:lang)
						  }
			}}
		</p>
		<ul class="pl-1 mt-3 mdCustom:mt-8 list-none flex flex-col justify-center items-start cv-card-buttons">
			<li>
				<a [routerLink]="routes.builder(resume.link).builder" class="flex flex-row justify-start items-center">
					<svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
						<path
							d="M3 17.25V21H6.75L17.81 9.94L14.06 6.19L3 17.25ZM20.71 7.04C21.1 6.65 21.1 6.02 20.71 5.63L18.37 3.29C17.98 2.9 17.35 2.9 16.96 3.29L15.13 5.12L18.88 8.87L20.71 7.04Z"
							fill="#FF0AA9"
						/>
					</svg>
					<span [class.pl-1.5]="!isRTL()" [class.pr-1.5]="isRTL()" class="btn-text text-lg font-medium">
						{{ t.common.cvCardBtns.edit | translate }}
					</span>
				</a>
			</li>
			<li>
				<button (click)="showShareLinkDialog()" class="flex flex-row justify-start items-center">
					<svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
						<path
							d="M18 16.08C17.24 16.08 16.56 16.38 16.04 16.85L8.91 12.7C8.96 12.47 9 12.24 9 12C9 11.76 8.96 11.53 8.91 11.3L15.96 7.19C16.5 7.69 17.21 8 18 8C19.66 8 21 6.66 21 5C21 3.34 19.66 2 18 2C16.34 2 15 3.34 15 5C15 5.24 15.04 5.47 15.09 5.7L8.04 9.81C7.5 9.31 6.79 9 6 9C4.34 9 3 10.34 3 12C3 13.66 4.34 15 6 15C6.79 15 7.5 14.69 8.04 14.19L15.16 18.35C15.11 18.56 15.08 18.78 15.08 19C15.08 20.61 16.39 21.92 18 21.92C19.61 21.92 20.92 20.61 20.92 19C20.92 17.39 19.61 16.08 18 16.08Z"
							fill="#FF0AA9"
						/>
					</svg>
					<span [class.pl-1.5]="!isRTL()" [class.pr-1.5]="isRTL()" class="btn-text text-lg font-medium">
						{{ t.common.cvCardBtns.shareLink | translate }}
					</span>
				</button>
			</li>
			<li>
				<a (click)="downloadResumeAsPdf()" class="flex flex-row justify-start items-center">
					<svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
						<path
							d="M19.35 10.04C18.67 6.59 15.64 4 12 4C9.11 4 6.6 5.64 5.35 8.04C2.34 8.36 0 10.91 0 14C0 17.31 2.69 20 6 20H19C21.76 20 24 17.76 24 15C24 12.36 21.95 10.22 19.35 10.04ZM17 13L12 18L7 13H10V9H14V13H17Z"
							fill="#FF0AA9"
						/>
					</svg>

					<span [class.pl-1.5]="!isRTL()" [class.pr-1.5]="isRTL()" class="btn-text text-lg font-medium">
						{{ t.common.cvCardBtns.download | translate }}
					</span>
				</a>
			</li>
			<li>
				<button (click)="showConfirmationDialog()" class="flex flex-row justify-start items-center">
					<svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
						<path
							d="M6 19C6 20.1 6.9 21 8 21H16C17.1 21 18 20.1 18 19V7H6V19ZM8.46 11.88L9.87 10.47L12 12.59L14.12 10.47L15.53 11.88L13.41 14L15.53 16.12L14.12 17.53L12 15.41L9.88 17.53L8.47 16.12L10.59 14L8.46 11.88ZM15.5 4L14.5 3H9.5L8.5 4H5V6H19V4H15.5Z"
							fill="#FF0AA9"
						/>
					</svg>
					<span [class.pl-1.5]="!isRTL()" [class.pr-1.5]="isRTL()" class="btn-text text-lg font-medium">
						{{ t.common.cvCardBtns.deleteCv | translate }}
					</span>
				</button>
			</li>
		</ul>
	</div>
</div>
